Package org.eclipse.emf.cdo.server.db.evolution.phased

# Class DefaultRepositoryExporter

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.server.db.evolution.phased.BasicPhaseHandler
org.eclipse.emf.cdo.server.db.evolution.phased.DefaultRepositoryExporter

All Implemented Interfaces:
  `Phase.Handler`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

public class DefaultRepositoryExporter extends BasicPhaseHandler
Evolves the models with the given mapping strategy, context, and store accessor.

This method performs the following steps:

1. It delegates the model evolution to the mapping strategy, which is responsible for updating the database schema, migrating the existing data, and changing the container feature IDs in case of shifted features.
2. It updates the system tables, including the cdo_package_units table, cdo_package_infos table, and cdo_external_refs table.
3. It commits the transaction unless it's a dry run, in which case it rolls back the changes.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FACTORY_TYPE`
The factory type of the default repository exporter.

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

### Fields inherited from interface org.eclipse.emf.cdo.server.db.evolution.phased.Phase.Handler

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`DefaultRepositoryExporter()`
Creates an XML repository exporter.
`DefaultRepositoryExporter(boolean binary)`
Creates a repository exporter that is either binary or XML.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Context context)`
Executes the phase handler.
`boolean`
`isBinary()`
`void`
`setBinary(boolean binary)`

### Methods inherited from class org.eclipse.emf.cdo.server.db.evolution.phased.BasicPhaseHandler

`doBeforeActivate, getPhase, setPhase`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### FACTORY_TYPE

public static final String FACTORY_TYPE
The factory type of the default repository exporter.

See Also:
  - Constant Field Values

## Constructor Details

### DefaultRepositoryExporter

public DefaultRepositoryExporter()
Creates an XML repository exporter.

### DefaultRepositoryExporter

public DefaultRepositoryExporter(boolean binary)
Creates a repository exporter that is either binary or XML.

## Method Details

### isBinary

public boolean isBinary()

### setBinary

public void setBinary(boolean binary)

### execute

public void execute(Context context) throws Exception
Description copied from interface: `Phase.Handler`
Executes the phase handler.

Throws:
  `Exception`